/*

Dialog Box To Indicate Error In Query Statement

Author :	Dattaraj J. Rao
			jagrao@goa1.dot.net.in

*/

import java.awt.*;
import java.awt.event.*;

class Alert extends Dialog implements ActionListener
{
	Label msg;
	Button ok;

	public Alert(Frame f,String str,boolean modal)
	{
		super(f,str,modal);

		setLayout(new FlowLayout(FlowLayout.CENTER,10,20));
		
		ok=new Button("Ok");
		ok.setFont(new Font("",Font.BOLD,20));
		ok.addActionListener(this);

		msg=new Label("Message");
		msg.setFont(new Font("",Font.PLAIN,15));

		add(msg);
		add(ok);

		setBounds(300,200,200,150);
	}

	public void doAlert(String message)
	{
		msg.setText(message);
		show();
	}
	
	public void actionPerformed(ActionEvent e)
	{
		if(e.getSource()==ok)
		{
			setVisible(false);
		}
	}

}